import 'package:healthrian_ble_interface/healthrian_ble_interface.dart';
import 'package:mobx/mobx.dart';

part 'stream_ble.g.dart';

class StreamBle = StreamBleBase with _$StreamBle;

abstract class StreamBleBase with Store {
  @observable
  Stream<bool?>? connection;

  @observable
  Stream<int?>? battery;

  @observable
  Stream<TapEvent?>? tap;
}

// class StreamBle {
//   Stream<bool?>? connection;
//   Stream<int?>? battery;
//   Stream<TapEvent?>? tap;
// }