import 'package:healthrian_ble_interface/healthrian_ble_interface.dart';
import 'package:mobx/mobx.dart';

part 'stream_ecg_preload.g.dart';

class StreamEcgPreload = StreamEcgPreloadBase with _$StreamEcgPreload;

abstract class StreamEcgPreloadBase with Store {
  @observable
  Stream<List<int>>? raw;

  @observable
  Stream<List<int>>? lzma;

  @observable
  Stream<List<int>>? event;

  @observable
  Stream<List<List<double>>>? value;

  @observable
  Stream<LeadState?>? leadState;

  @observable
  Stream<int?>? heartRate;
}

// class StreamEcgPreload{
//   Stream<List<int>>? raw;
//   Stream<List<int>>? lzma;
//   Stream<List<int>>? event;
//   Stream<List<List<double>>>? value;
//   Stream<LeadState?>? leadState;
//   Stream<int?>? heartRate;
// }