import 'package:healthrian_ble_interface/healthrian_ble_interface.dart';
import 'package:mobx/mobx.dart';

part 'stream_ecg_filter.g.dart';

class StreamEcgFilter = StreamEcgFilterBase with _$StreamEcgFilter;

abstract class StreamEcgFilterBase with Store {
  @observable
  Stream<Channels>? buffer;

  @observable
  Stream<PlotChannels>? plot;

  @observable
  Stream<PlotChannels?>? plotRT;
}

// class StreamEcgFilter {
//   Stream<Channels>? buffer;
//   Stream<PlotChannels>? plot;
//   Stream<PlotChannels?>? plotRT;
// }